VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Vmon::Service::UpdateSpec Class Reference
Inheritance diagram for Com::Vmware::Appliance::Vmon::Service::UpdateSpec:

## Avaliable Methods
public method | set_startup_type ()
public method | get_startup_type ()
public method | new ()

## Detailed Description

The `Com::Vmware::Appliance::Vmon::Service::UpdateSpec` class describes the changes to be made to the configuration of the service.

## Member Function Documentation

public method Com::Vmware::Appliance::Vmon::Service::UpdateSpec::get_startup_type | ( |  | ) |

Gets the value of 'startup_type' property.

Return values

  startup_type | - The current value of the field. Startup Type Optional#

Code:
click to view
# Number of lines of code in get_startup_type: 4
sub get_startup_type {
my ($self, %args) = @_;
return $self->{'startup_type'};
}

public method Com::Vmware::Appliance::Vmon::Service::UpdateSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Vmon::Service::UpdateSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 16
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{startup_type} = $args{'startup_type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Vmon::Service::UpdateSpec');
$self->set_binding_name('name' => 'com.vmware.appliance.vmon.service.update_spec');
$self->set_binding_field('key' => 'startup_type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Vmon', 'type_name' => 'Service::StartupType')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Vmon::Service::UpdateSpec::set_startup_type | ( |  | ) |

Sets the given value for 'startup_type' property.

Parameters

  startup_type | - New value for the field. Startup Type

Code:
click to view
# Number of lines of code in set_startup_type: 5
sub set_startup_type {
my ($self, %args) = @_;
$self->{'startup_type'} = $args{'startup_type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Vmon/Service.pm